/*
 * Header file for common error description library.
 *
 * Copyright 1988, Student Information Processing Board of the
 * Massachusetts Institute of Technology.
 *
 * For copyright and distribution info, see the documentation supplied
 * with this package.
 */

#ifndef COM_ERR_H
#define COM_ERR_H

typedef long errcode_t;

void com_err (const char *whoami,
	      errcode_t code,
	      const char *fmt, ...);

#endif
