/*
 * ZUGate JNI login
 * 
 * Author: Anton Prozorov <prozanton@gmail.com>
 * 
 * Copyright 2021, ZDevs
 * 
 */

#ifndef ZG_LOG_H
#define ZG_LOG_H

#include <android/log.h>

#define APP_NAME "libext2"

#if 1
# define LOGE(...) __android_log_print(ANDROID_LOG_ERROR, APP_NAME, __VA_ARGS__)
# define LOGI(...) __android_log_print(ANDROID_LOG_INFO, APP_NAME, __VA_ARGS__)
# define LOGW(...) __android_log_print(ANDROID_LOG_WARN, APP_NAME, __VA_ARGS__)
#else
# ifdef LOGE
#  undef LOGE
# endif
# ifdef LOGI
#  undef LOGI
# endif
# ifdef LOGW
#  undef LOGW
# endif
# define LOGE(...) 
# define LOGI(...) 
# define LOGW(...) 
#endif

#endif // ZG_LOG_H
